%define module  pyelftools

Name:           python-%{module}
Version:        0.26
Release:        %mkrel 2
Summary:        Pure-python library for parsing ELF and DWARF
Group:          Development/Python
License:        Public Domain
URL:            https://github.com/eliben/pyelftools
Source0:        https://github.com/eliben/pyelftools/archive/v%{version}/%{module}-%{version}.tar.gz
BuildArch:      noarch

%description
pyelftools is a pure-Python library for parsing and analyzing ELF files
and DWARF debugging information.

%package -n     python3-%{module}
Summary:        Pure-python library for parsing ELF and DWARF for Python 3
Group:          Development/Python
BuildRequires:  python3-setuptools
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
pyelftools is a pure-Python library for parsing and analyzing ELF files
and DWARF debugging information.

This is the Python 3 module of pyelftools.

%prep
%autosetup -p1 -n %{module}-%{version}

%build
%py3_build

%install
%py3_install

%files -n       python3-%{module}
%doc CHANGES README.rst
%license LICENSE
%{_bindir}/readelf.py
%{python3_sitelib}/elftools/
%{python3_sitelib}/%{module}-%{version}-py%{python3_version}.egg-info


%changelog
* Thu Feb 20 2020 umeabot <umeabot> 0.26-2.mga8
+ Revision: 1547388
- Mageia 8 Mass Rebuild

* Sun Feb 09 2020 daviddavid <daviddavid> 0.26-1.mga8
+ Revision: 1488128
- new version: 0.26

* Tue Sep 17 2019 daviddavid <daviddavid> 0.25-3.mga8
+ Revision: 1442805
- rebuild for python3.8
- drop python2 support

* Wed Jan 09 2019 shlomif <shlomif> 0.25-2.mga7
+ Revision: 1353881
- Rebuild for python3 3.7

* Sat Nov 03 2018 daviddavid <daviddavid> 0.25-1.mga7
+ Revision: 1328022
- new version: 0.25

* Thu Sep 20 2018 umeabot <umeabot> 0.24-2.mga7
+ Revision: 1289775
- Mageia 7 Mass Rebuild

* Wed Sep 20 2017 akien <akien> 0.24-1.mga7
+ Revision: 1156068
- import pyelftools, needed for lddtree in pax-utils

